<div class="main-carousel">
    <div id="myCarousel" class="carousel slide" data-ride="carousel">

        <!-- Indicators -->
        <ol class="carousel-indicators hidden-xs">
            <ng-container *ngIf="translate.currentLang == 'en'">
                <li *ngFor="let num of en_slides; let i=index" [attr.data-slide-to]="i" [ngClass]="{ 'active' : i == 0 }"
                    data-target="#myCarousel"></li>
            </ng-container>
            <ng-container *ngIf="translate.currentLang == 'fr'">
                <li *ngFor="let num of fr_slides; let i=index" [attr.data-slide-to]="i" [ngClass]="{ 'active' : i == 0 }"
                    data-target="#myCarousel"></li>
            </ng-container>
        </ol>

        <!-- Wrapper for slides -->
        <div class="carousel-inner">
            <ng-container *ngIf="translate.currentLang == 'en'">
                <div class="item" *ngFor="let slides of en_slides; let i=index" [ngClass]="{ 'active' : (i == 0) } ">
                    <img src="http://crm.rahisibet.com/storage/slides_uploads/{{slides.path}}" alt="">
                </div>
            </ng-container>

            <ng-container *ngIf="translate.currentLang == 'fr'">
                <div class="item" *ngFor="let slides of fr_slides; let i=index" [ngClass]="{ 'active' : (i == 0) } ">
                    <img src="http://crm.rahisibet.com/storage/slides_uploads/{{slides.path}}" alt="">
                </div>
            </ng-container>
        </div>

        <!-- Left and right controls -->
        <a class="left carousel-control" href="#myCarousel" data-slide="prev">
            <span class="glyphicon glyphicon-chevron-left"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="right carousel-control" href="#myCarousel" data-slide="next">
            <span class="glyphicon glyphicon-chevron-right"></span>
            <span class="sr-only">Next</span>
        </a>

    </div>
</div>
<div class="loader text-center" *ngIf="load">
    <img src="assets/images/spinner.gif" alt="" style="width: 50px;height: 50px;">
</div>
<div class="featured-header">
    <div>
        <h4 class="autobet-header">{{ 'betslip-select.mega-jackpot' | translate }}</h4>
    </div>
    <div>
        <button class="btn btn-autobet" (click)="generatePDF()" *ngIf="oddsfeed.length == 17">{{ 'betslip-select.print-jackpot' | translate }}</button>
    </div>
</div>

<!-- Resusable widget -->
<div class="reusable-sport" *ngIf="oddsfeed.length == 17">
    <div class="reusable-heading hidden-xs">
        <div>
            <h4 class="sport-header">{{ 'betslip-select.jackpot-games' | translate }}</h4>
        </div>
        <div class="text-center">
            <span class="market-header top">1x2</span>
        </div>
    </div>

    <div class="reusable-match">
        <ul class="list-unstyled border-top">
            <li *ngFor="let game of oddsfeed; let i=index">
                <div class="match-details">
                    <div class="match-description">
                        <div class="time-gameid-details"><span><i class="fa fa-clock-o" aria-hidden="true"></i>&nbsp;
                            {{ game.scheduled }} </span>&nbsp;&nbsp;<span>{{ 'feeds.game-id' | translate }}: {{game.game_id}}</span>
                        </div>

                        <div class="league-teams" *ngIf="translate.currentLang == 'en'">{{ game.name }}</div>
                        <div class="league-teams" *ngIf="translate.currentLang == 'fr'">{{ game.french }}</div>

                        <div class="league-details" *ngIf="translate.currentLang == 'en'">{{game.sport}} - {{game.country}} - {{game.tournament}}</div>
                        <div class="league-details" *ngIf="translate.currentLang == 'fr'">{{game.sport_fr_name}} - {{game.country_fr_name}} - {{game.tournament_fr_name}}</div>

                    </div>
                    <ng-container *ngFor="let market of markets.market">
                        <ng-container *ngIf="markets.marketoffered.indexOf(market) > -1" [ngSwitch]="markets.markettypes[market]">
                            <div class="market-container text-center" *ngSwitchCase="3">
                                <ng-container *ngIf="game.markets[market] != undefined && game.markets[market].length > 2">
                                    <div class="market-container text-center" *ngIf="market != markets.marketoffered[1]">
                                        <div class="moblie-market-header visible-xs">
                                            1x2
                                        </div>
                                        <div class="market-header">
                                            <div><span class="market-type">1</span></div>
                                            <div><span class="market-type">x</span></div>
                                            <div><span class="market-type">2</span></div>
                                        </div>
                                        <div class="market-odds">
                                            <div *ngFor="let odd_values of game.markets[market]; let y = index">
                                                <button type="button" name="button" class="btn btn-market" *ngIf="odd_values.sr_outcome_id" (click)="addToBetslip(y,odd_values.sr_outcome_id,game.match_id,odd_values.market_name)" [ngClass]="{ 'selected' : game.selected_outcome == odd_values.sr_outcome_id }">
                            {{ odd_values.odds | number:'1.2-2' }}
                          </button>
                                            </div>
                                        </div>
                                    </div>

                                </ng-container>
                            </div>
                        </ng-container>
                    </ng-container>
                </div>
            </li>

        </ul>
    </div>
</div>
<!-- end of reusable widget -->

<!-- empty array no games for jackpot -->
<div class="text-center" *ngIf="oddsfeed.length < 17 && !load">
    <div class="alert alert-info">
        {{ 'betslip-select.jackpot-notice' | translate }}
    </div>
</div>
<!-- end -->